Author Topic: [Bug]@avast! team Script Shield does not support all browsers.  (Read 1353 times)

0 Members and 1 Guest are viewing this topic.

REDACTED

  • Guest
I have test Script Shield of AVAST2014. I found that Script Shield only support IE and chrome.  why does AVAST not support other browser? For example theworld 6, avant, opera and firefox. When the problem can be resolved?

Offline igor

  • Avast team
  • Serious Graphoman
  • *
  • Posts: 11818
    • AVAST Software
Re: [Bug]@avast! team Script Shield does not support all browsers.
« Reply #1 on: July 03, 2014, 10:03:36 AM »
ScriptShield is quite a "hack" - requires injecting our code into the browsers (that usually have no reasonable API for that), and maintaining the code is a nightmare. So only major browsers are (and will be) supported. The rapid browser development is also a problem - e.g. Firefox should be supported, but considering how often major updated are released, it's quite possible that it doesn't work for the latest ones because the relevant browser code has changed recently.

REDACTED

  • Guest
Re: [Bug]@avast! team Script Shield does not support all browsers.
« Reply #2 on: July 03, 2014, 12:53:34 PM »
Thanks for your answer.